package com.malk.tuosi.service;


import com.fasterxml.jackson.core.JsonProcessingException;
import com.malk.server.common.McR;

import java.util.List;
import java.util.Map;

public interface TBService {
    /*TODO:获取apptoken*/
    McR AppAccessToken() throws JsonProcessingException;

    /*TODO：获取dingtoken(欧诺)*/
    McR Accesstoken() throws JsonProcessingException;

    /*TODO：获取dingtoken(欧诺信)*/
    McR OuNuoXinAccessToken() throws JsonProcessingException;

   /*TODO:接收TB推送的数据*/
    McR tbTaskUpdate(Map body) throws JsonProcessingException;

    /*TODO：钉盘文件上传接口*/
    McR uploadKnowledge(String pathName,String fileName,String fileType) throws JsonProcessingException;

    /*TODO：TB回传CRM*/
    McR tbCallbackCRM(Map body) throws JsonProcessingException;

    /*TODO：OA回传TB*/
    McR oaCallbackTB(Map body) throws  JsonProcessingException;

    /*TODO:Teambition userId 查询钉钉 userId*/
    String TBtoDinguserId(List list) throws JsonProcessingException;

}
